" Backport getenv() from v8.1.1305
"
" <https://github.com/vim/vim/releases/tag/v8.1.1305>
"
function! getenv#(name) abort

  " Use native if available
  if exists('*getenv')
    return getenv(a:name)
  endif

  " Backport
  if a:name !~# '^[A-Z][A-Z0-9_]*$'
    throw 'Illegal env var name'
  endif
  let value = v:null
  if exists('$'.a:name)
    execute 'let value = $'.a:name
  endif
  return value

endfunction
